## org.eclipse.emf.mapping.xsd2ecore
Interface XSD2EcoreMappingRoot

All Superinterfaces:
  EObject, Mapping, MappingRoot, Notifier

All Known Implementing Classes:
  XSD2EcoreMappingRootImpl

    public interface XSD2EcoreMappingRoot

extends MappingRoot

A representation of the model object 'Mapping Root'.

See Also:
  `XSD2EcorePackage.getXSD2EcoreMappingRoot()`

Method Summary

Methods inherited from interface org.eclipse.emf.mapping.MappingRoot

`canCreateMapping, canRemoveMapping, createMapping, deregister, dispose, getAllMappings, getCommandStack, getDomain, getExactMappings, getMappedObjectState, getMappings, getParentMapping, getTypeMappingRoot, isAttachedObject, isBottomObject, isDirty, isInputObject, isOutputDirty, isOutputObject, isOutputReadOnly, isTopObject, isTopToBottom, refreshMappedObjectStates, register, resetDirty, setCommandStack, setDomain, setOutputDirty, setOutputReadOnly, setTopToBottom`

Methods inherited from interface org.eclipse.emf.mapping.Mapping
`getBottoms, getEffectiveHelper, getHelper, getInputs, getMappedObjects, getMappingRoot, getNested, getNestedIn, getOutputs, getReceivers, getSenders, getTops, getTypeMapping, isReverse, setHelper, setNestedIn, setTypeMapping, treeIterator, treeIterator`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.